JBoss API: Class DefaultInitialContextHandle

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jrmp.interfaces
Class DefaultInitialContextHandle

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jrmp.interfaces.InitialContextHandle
            |
            +--org.jboss.ejb.plugins.jrmp.interfaces.DefaultInitialContextHandle

All Implemented Interfaces:
  java.io.Serializable

public final class DefaultInitialContextHandle
extends InitialContextHandle

The default implementaion of `InitialContextHandle`.

Attempts to discover the requried enviroment properties by inspecting the current system. This implementation is currently specific to the `org.jnp.*` naming classes.

Version:
  $Revision: 1.1 $
Author:
  Jason Dillon <jason@planet57.com>
See Also:
  Serialized Form

Inner Class Summary
`static class` | `DefaultInitialContextHandle.Factory` A factory for producing `DefaultInitialContextHandle` instance objects.

Constructor Summary
`DefaultInitialContextHandle()` Construct a `DefaultInitialContextHandle`.

Method Summary
`javax.naming.InitialContext` | `getInitialContext()` Get the initial context for this handle.

Methods inherited from class org.jboss.ejb.plugins.jrmp.interfaces.InitialContextHandle
`create`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultInitialContextHandle

    public DefaultInitialContextHandle()

  Construct a `DefaultInitialContextHandle`.

Method Detail

### getInitialContext

    public javax.naming.InitialContext getInitialContext()
                                                  throws javax.naming.NamingException

  Get the initial context for this handle.
  Overrides:
    `getInitialContext` in class `InitialContextHandle`
  Returns:
    `InitialContext`.
  Throws:
    `javax.naming.NamingException` - Failed to create `InitialContext`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.